

drivers/scsi/sym53c8xx_2/sym_glue.c: In function `sym_requeue_awaiting_cmds':
drivers/scsi/sym53c8xx_2/sym_glue.c:671: warning: 'cmd' is used uninitialized in this function


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/scsi/sym53c8xx_2/sym_glue.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN drivers/scsi/sym53c8xx_2/sym_glue.c~sym_requeue_awaiting_cmds-uninit-var-fix drivers/scsi/sym53c8xx_2/sym_glue.c
--- 25/drivers/scsi/sym53c8xx_2/sym_glue.c~sym_requeue_awaiting_cmds-uninit-var-fix	2004-08-26 00:06:38.385455888 -0700
+++ 25-akpm/drivers/scsi/sym53c8xx_2/sym_glue.c	2004-08-26 00:06:38.390455128 -0700
@@ -667,14 +667,15 @@ void sym_log_bus_error(struct sym_hcb *n
  */
 static void sym_requeue_awaiting_cmds(struct sym_hcb *np)
 {
-	struct scsi_cmnd *cmd;
-	struct sym_ucmd *ucp = SYM_UCMD_PTR(cmd);
+	struct sym_ucmd *ucp;
 	SYM_QUEHEAD tmp_cmdq;
 	int sts;
 
 	sym_que_move(&np->s.wait_cmdq, &tmp_cmdq);
 
 	while ((ucp = (struct sym_ucmd *) sym_remque_head(&tmp_cmdq)) != 0) {
+		struct scsi_cmnd *cmd;
+
 		sym_insque_tail(&ucp->link_cmdq, &np->s.busy_cmdq);
 		cmd = SYM_SCMD_PTR(ucp);
 		sts = sym_queue_command(np, cmd);
_
